Leap 15 更新后坚果云启动不了了……

更新后坚果云无法启动了,命令行启动:~/.nutstore/dist/bin/nutstore-pydaemon.py
弹出如下错误提示:
Traceback (most recent call last):
File “./nutstore-pydaemon.py”, line 27, in <module>
gi.require_version(‘AppIndicator3’, ‘0.1’)
File “/usr/lib64/python2.7/site-packages/gi/init.py”, line 130, in require_version
raise ValueError(‘Namespace %s not available’ % namespace)
ValueError: Namespace AppIndicator3 not available

有遇到同样情况的吗?网上找了一圈,都不能解决问题。特此求助……

ValueError: Namespace AppIndicator3 not available
通过以下方式解决:
zypper install typelib-1_0-AppIndicator3-0_1
之后又出现错误:ValueError: Namespace Notify not available
通过以下方式解决:
zypper install typelib-1_0-Notify-0_7
现在又出现了以下错误:
Cannot found expected file manager, [Errno 2] No such file or directory

(process:10334): Gtk-CRITICAL **: gtk_icon_theme_get_for_screen: assertion ‘GDK_IS_SCREEN (screen)’ failed
/home/xxx/.nutstore/dist/bin/nutstore_indicator.py:23: Warning: invalid (NULL) pointer instance
appindicator.IndicatorCategory.APPLICATION_STATUS)
/home/xxx/.nutstore/dist/bin/nutstore_indicator.py:23: Warning: g_signal_connect_data: assertion ‘G_TYPE_CHECK_INSTANCE (instance)’ failed
appindicator.IndicatorCategory.APPLICATION_STATUS)
main loop started
[1] 10334 segmentation fault (core dumped) ./nutstore-pydaemon.py

这个不知道怎么解决了……

没人使用坚果云吗?我是重度依赖的……

我是直接把 ~/.nutstore/dist/bin/nutstore-pydaemon.py 中的
gi.require_version('AppIndicator3', '0.1')
这行删了 能启动 :joy:

但是我还不清楚可能会什么产生的问题 :joy:

坚果云,可以使用webdav的方式挂载

我也删了一下,不行啊,错误提示更多了

看提示好像是需要 GNOME 的文件管理器 Nautilus ,你装一下试试?

——前坚果云实习生

Tumbleweed也遇到这个情况了,很神秘
目前用Webdav先苟着,但是确实没以前舒服

Edit:
sudo zypper in python-gobject-common-devel可破,应该是少了什么包。

这个和系统更新有关?
我最近也遇到这个, 但是是因为坚果云迁移到了 GTK3 的缘故, 之前是 GTK2, 不过是装了上面所说的 lib 之后就可以正常使用了, 虽然我用的是

啊不对, 你需要安装 python-notify。也就是 python2 的。

这个包我已经装了,还是无法启动。

按照你的方法,安装python-gobject-common-devel,一下子装了71个包,坚果云可以启动了。但是不知道这71个包中,哪一个才是真的需要的。谢谢!

1赞

坚果云的官方回复:

针对您的问题回复如下:
坚果云依赖 python-gobject
在您的机器上 python-gobject 对所有71 个包有依赖
在 ubuntu 或 fedora 系统中 python-gobject 只有一两个依赖
这个与系统相关

2赞

试了下这个可以

对我有帮助,非常感谢!

Tw(Gnome) 版按照 这个方法 安装完了之后,还是不行。
2021-01-25 23-11-40 的屏幕截图

Tw(KDE) 按照 这个方法 完美启动。

既然这个页面有 2k 的访问,那大概估计被 baidu 给收录了。

@Princeviolin 你可以试一下面的东西,如果启动不了,就复制粘贴一下,从命令行启动输出的东西。

TW 20210121 以后的版本 python 命名方式改了 [1]

现在是

zypper in libappindicator3-1 python38-gobject typelib-1_0-AppIndicator3-0_1 

如果你来自未来,某次滚动更新启动不了,大概是 python3 更新以后指向了 python3.9,你需要 python39-gobject。

另外 GNOME 没有托盘图标,你需要这个插件:

坚果云 5.1 以后,完全不需要 python2 相关的依赖,且开始需要 openjdk11+(java-11-openjdk),且写死了一个 19080 的端口。

image

出于某些原因 (比如 GNOME Nautilus 自带的解压) 会丢失 java 部分可执行的 permissions,你需要

chmod -wx nutsore/jre/bin/nutstore nutsore/jre/bin/keytool

或者

参考:
[1]

1赞